%define upstream_name    Dist-Zilla-Plugin-SpellingCommonMistakesTests
%define upstream_version 1.001000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Tests for common POD spelling mistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Spell::CommonMistakes)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod::Spelling::CommonMistakes)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This is an extension of Dist::Zilla::Plugin::InlineFiles, providing the
following file:

    xt/release/common_spelling.t - a standard Pod::Spell::CommonMistakes test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1.0-12.mga10
+ Revision: 2198670
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.0-11.mga9
+ Revision: 1803386
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-10.mga8
+ Revision: 1494393
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-9.mga7
+ Revision: 1267562
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-8.mga6
+ Revision: 1026577
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-7.mga6
+ Revision: 948444
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.1.0-6.mga5
+ Revision: 787850
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 750006
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 511128
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 08 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 82212
- update to 1.001000

* Fri Mar 18 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 74133
- imported package perl-Dist-Zilla-Plugin-SpellingCommonMistakesTests


* Fri Mar 18 2011 cpan2dist 1.000001-1mga
- initial mageia release, generated with cpan2dist
